summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Peter Wang <novalazy@gmail.com>2011-09-07 23:07:18 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-21 19:48:30 -0300
commite0068de61f448e0e40487b391913c767fd80c6ab (patch)
treeaf8196ec6735382b9fd07a46019f3900eb1af53d
parent18a59dbfda9be62d19e2a30895c1ea82bf56bffc (diff)
downloadslackbuilds-e0068de61f448e0e40487b391913c767fd80c6ab.tar.gz
slackbuilds-e0068de61f448e0e40487b391913c767fd80c6ab.tar.xz
haskell/haskell-citeproc-hs: Added (implementation of CSL)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--haskell/haskell-citeproc-hs/README9
-rw-r--r--haskell/haskell-citeproc-hs/doinst.sh1
-rw-r--r--haskell/haskell-citeproc-hs/haskell-citeproc-hs.SlackBuild90
-rw-r--r--haskell/haskell-citeproc-hs/haskell-citeproc-hs.info10
-rw-r--r--haskell/haskell-citeproc-hs/slack-desc19
5 files changed, 129 insertions, 0 deletions
diff --git a/haskell/haskell-citeproc-hs/README b/haskell/haskell-citeproc-hs/README
new file mode 100644
index 0000000000..ab672e8f40
--- /dev/null
+++ b/haskell/haskell-citeproc-hs/README
@@ -0,0 +1,9 @@
+citeproc-hs is a Haskell library for rendering bibliographic reference
+citations into a variety of styles using a macro language called
+Citation Style Language (CSL).
+
+This requires ghc, haskell-mtl, haskell-json, haskell-utf8-string,
+haskell-xml, haskell-syb, haskell-parsec and haskell-pandoc-types.
+
+When uninstalling, run the following command to unregister the package
+from the ghc package database: ghc-pkg recache
diff --git a/haskell/haskell-citeproc-hs/doinst.sh b/haskell/haskell-citeproc-hs/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/haskell/haskell-citeproc-hs/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/haskell/haskell-citeproc-hs/haskell-citeproc-hs.SlackBuild b/haskell/haskell-citeproc-hs/haskell-citeproc-hs.SlackBuild
new file mode 100644
index 0000000000..65ac4e34dc
--- /dev/null
+++ b/haskell/haskell-citeproc-hs/haskell-citeproc-hs.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for citeproc-hs
+
+# Written by Peter Wang (novalazy@gmail.com)
+# Public domain.
+
+PRGNAM=haskell-citeproc-hs
+VERSION=${VERSION:-0.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.lhs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.lhs build
+runghc Setup.lhs haddock
+runghc Setup.lhs copy --destdir=$PKG
+runghc Setup.lhs register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/haskell/haskell-citeproc-hs/haskell-citeproc-hs.info b/haskell/haskell-citeproc-hs/haskell-citeproc-hs.info
new file mode 100644
index 0000000000..4b4fa58b77
--- /dev/null
+++ b/haskell/haskell-citeproc-hs/haskell-citeproc-hs.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-citeproc-hs"
+VERSION="0.3.3"
+HOMEPAGE="http://gorgias.mine.nu/repos/citeproc-hs/"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/citeproc-hs/0.3.3/citeproc-hs-0.3.3.tar.gz"
+MD5SUM="d199abb2bfd9a4b24189b4bbb3178554"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Peter Wang"
+EMAIL="novalazy@gmail.com"
+APPROVED="dsomero"
diff --git a/haskell/haskell-citeproc-hs/slack-desc b/haskell/haskell-citeproc-hs/slack-desc
new file mode 100644
index 0000000000..b79f1dda1f
--- /dev/null
+++ b/haskell/haskell-citeproc-hs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-citeproc-hs: haskell-citeproc-hs (implementation of the Citation Style Language)
+haskell-citeproc-hs:
+haskell-citeproc-hs: citeproc-hs is a Haskell library for rendering bibliographic
+haskell-citeproc-hs: reference citations into a variety of styles using a macro language
+haskell-citeproc-hs: called Citation Style Language (CSL).
+haskell-citeproc-hs:
+haskell-citeproc-hs: Homepage: http://gorgias.mine.nu/repos/citeproc-hs/
+haskell-citeproc-hs:
+haskell-citeproc-hs:
+haskell-citeproc-hs:
+haskell-citeproc-hs: